Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class Bot

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.botmanager.common.bean.Bot

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Bot extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BOT_DISABLED`
  `static final int`
  `BOT_ENABLED`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bot()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BotType`
  `getBotType()`
  `int`
  `getState()`
  `String`
  `getToken()`
  `Bot`
  `setBotType(BotType botType)`
  `Bot`
  `setId(int id)`
  Устанавливает id объекта
  `Bot`
  `setState(int state)`
  `Bot`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `Bot`
  `setToken(String token)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### BOT_ENABLED

    public static final int BOT_ENABLED
    See Also:
      - Constant Field Values

  - ### BOT_DISABLED

    public static final int BOT_DISABLED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Bot

    public Bot()

- ## Method Details

  - ### getBotType

    public BotType getBotType()

  - ### getState

    public int getState()

  - ### getToken

    public String getToken()

  - ### setBotType

    public Bot setBotType(BotType botType)

  - ### setId

    public Bot setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setState

    public Bot setState(int state)

  - ### setTitle

    public Bot setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setToken

    public Bot setToken(String token)